= How do I use an existing/remote Subversion repository? =
[[TOC(heading=How do I...?,depth=1,HowTo/*)]]

SecureCI™ comes with Subversion already configured and integrated with Trac. If you have a 
different Subversion repository you want to use, you have two options:

 1. [http://svnbook.red-bean.com/en/1.4/svn.reposadmin.maint.html#svn.reposadmin.maint.migrate move the existing repository to SecureCI] and have the users point their working copies to the new repository
 1. Integrate the other repository into SecureCI

The latter option is probably the easier choice.

Trac doesn't actually allow for a remote Subversion repository, but it can fake it. You can use `svnsync` to 
[http://svnbook.red-bean.com/en/1.4/svn.reposadmin.maint.html#svn.reposadmin.maint.replication replicate your remote Subversion repository] 
to the local instance, and then use the replicated local copy.

Since ''in theory'' the remote repository and the replicated local copy should always be the same, Jenkins could point 
to either. Unless bandwidth between the repositories is at a premium, we recommend using the remote repository for 
Jenkins, though, so that your continuous builds aren't impacted by `svnsync` being behind.

<%= node['trac']['wiki']['footer'] %>